from tortoise import fields

from app.schemas.menus import MenuType

from .base import BaseModel, TimestampMixin
from .enums import MethodType

# 行业基准搜索指数表
class Index(BaseModel, TimestampMixin):
    code = fields.CharField(max_length=20, unique=True, description="行业代码", index=True)
    name = fields.CharField(max_length=20, description="行业名称")
    search_num = fields.FloatField(description="行业基准搜索指数", default=0)
    remark = fields.TextField(default="备注")

    class Meta:
        table = "index"